<?php

namespace App\Policies;

use App\Models\LaundrySaleProduct;
use App\Models\User;

class LaundrySaleProductPolicy
{
    public function viewAny(User $user): bool
    {
        return $user->hasRole('Administrador') && $user->can('administracion.areas');
    }

    public function create(User $user): bool
    {
        return $user->hasRole('Administrador') && $user->can('administracion.areas');
    }

    public function update(User $user, LaundrySaleProduct $laundrySaleProduct): bool
    {
        return $user->hasRole('Administrador') && $user->can('administracion.areas');
    }

    public function delete(User $user, LaundrySaleProduct $laundrySaleProduct): bool
    {
        return $user->hasRole('Administrador') && $user->can('administracion.areas');
    }
}
